> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Address Content



## OpenAPI

````yaml /api-reference/openapi.json get /organizations/{organization_id}/address
openapi: 3.1.0
info:
  title: Intermezzo Global Payroll
  summary: Global Payroll Platform
  description: Intermezzo's global payroll apis, organized by country
  version: 1.0.0
  x-logo:
    url: /static/icon.svg
servers:
  - url: https://sandbox.intermezzo.ai
    description: Sandbox
security: []
paths:
  /organizations/{organization_id}/address:
    get:
      tags:
        - Core
        - Organization Address Content
      summary: Get Organization Address Content
      operationId: >-
        get_organization_address_content_organizations__organization_id__address_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: correspondence
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Correspondence
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AddressContentResponse'
                title: >-
                  Response Get Organization Address Content Organizations 
                  Organization Id  Address Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    AddressContentResponse:
      properties:
        id:
          type: string
          title: Id
        isCorrespondence:
          type: boolean
          title: Iscorrespondence
        address:
          type: string
          title: Address
        components:
          $ref: '#/components/schemas/AddressComponents'
        content:
          anyOf:
            - $ref: '#/components/schemas/GermanyOrganizationAddressContent'
            - $ref: '#/components/schemas/GBOrganizationAddressContent'
          title: Content
      additionalProperties: false
      type: object
      required:
        - id
        - isCorrespondence
        - address
        - components
        - content
      title: AddressContentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AddressComponents:
      properties:
        formatted_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Formatted Address
        street_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Street Number
        road:
          anyOf:
            - type: string
            - type: 'null'
          title: Road
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        postal_code_suffix:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code Suffix
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
      type: object
      title: AddressComponents
    GermanyOrganizationAddressContent:
      properties:
        countryCode:
          type: string
          const: DE
          title: Countrycode
          default: DE
        addressType:
          $ref: '#/components/schemas/CorrespondenceAddressType'
          default: HAUSANSCHRIFT
        normalizedAddress:
          type: string
          title: Normalizedaddress
      additionalProperties: false
      type: object
      required:
        - normalizedAddress
      title: GermanyOrganizationAddressContent
    GBOrganizationAddressContent:
      properties:
        countryCode:
          type: string
          const: GB
          title: Countrycode
          default: GB
      additionalProperties: false
      type: object
      title: GBOrganizationAddressContent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CorrespondenceAddressType:
      type: string
      enum:
        - HAUSANSCHRIFT
        - POSTFACH
        - GROSSEMPFAENGER
        - AUSLANDSANSCHRIFT
      title: CorrespondenceAddressType
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer

````